
Ceph - Backport #18737

RuntimeError("ceph-deploy: Failed to install ceph")

01/30/2017 08:36 PM - Yuri Weinstein

Status: Closed Spent time: 0.00 hour

Priority: Urgent   

Assignee:    

Target version:    

Release: hammer Crash signature (v2):  

Crash signature (v1):    

Description

Related issues:

Related to CI - Backport #18736: "[ceph_deploy][ERROR ] RuntimeError: HTTP Er... Resolved

History

#1 - 01/30/2017 08:36 PM - Yuri Weinstein

- Related to Backport #18736: "[ceph_deploy][ERROR ] RuntimeError: HTTP Error 504: Gateway Timeout" added

#2 - 01/30/2017 09:44 PM - Nathan Cutler

here's what I see in the failed run: "install" task installs ceph 83af8cd successfully, then ceph-deploy task runs and tries to do the same thing (why??)

and fails with

2017-01-30T17:50:13.783 INFO:teuthology.orchestra.run.vpm031.stderr:[ceph_deploy.hosts.debian.install][DEBUG ]

 fetching repo information from: https://shaman.ceph.com/api/repos/ceph/master/83af8cdaaa6d94404e6146b68e532a7

84e3cc99c/ubuntu/trusty/repo/?arch=x86_64 

2017-01-30T17:50:13.980 INFO:teuthology.orchestra.run.vpm031.stderr:[ceph_deploy.util.net][ERROR ] repository 

might not be available yet 

2017-01-30T17:50:13.980 INFO:teuthology.orchestra.run.vpm031.stderr:[ceph_deploy][ERROR ] RuntimeError: HTTP E

rror 504: Gateway Timeout, failed to fetch https://shaman.ceph.com/api/repos/ceph/master/83af8cdaaa6d94404e614

6b68e532a784e3cc99c/ubuntu/trusty/repo/?arch=x86_64

 

As Andrew noted, "ceph-deploy install" is looking for 83af8cda (which is wip-hammer-backports) under 

https://shaman.ceph.com/api/repos/ceph/master when it's actually under https://shaman.ceph.com/api/repos/ceph/hammer.

The job mentioned in #18736 fails in the exact same way.

#3 - 01/30/2017 09:51 PM - Yuri Weinstein

- Description updated
https://shaman.ceph.com/api/repos/ceph/master
https://shaman.ceph.com/api/repos/ceph/hammer
https://tracker.ceph.com/issues/18736


#4 - 01/30/2017 10:05 PM - Nathan Cutler

- Tracker changed from Bug to Backport

- Description updated

description

This is 0.94.10 point release validation

Run: http://pulpito.ceph.com/teuthology-2017-01-30_18:23:30-ceph-deploy-hammer-distro-basic-vps/

Logs: http://qa-proxy.ceph.com/teuthology/teuthology-2017-01-30_18:23:30-ceph-deploy-hammer-distro-basic-vps/766625/teuthology.log

2017-01-30T18:39:33.500 INFO:teuthology.orchestra.run.vpm135.stderr:[ceph_deploy][ERROR ] RuntimeError: HTTP E

rror 504: Gateway Timeout, failed to fetch https://shaman.ceph.com/api/repos/ceph/master/83af8cdaaa6d94404e614

6b68e532a784e3cc99c/ubuntu/trusty/repo/?arch=x86_64

2017-01-30T18:39:33.500 INFO:teuthology.orchestra.run.vpm135.stderr:

2017-01-30T18:39:33.525 INFO:tasks.ceph_deploy:Error encountered, logging exception before tearing down ceph-d

eploy

2017-01-30T18:39:33.526 INFO:tasks.ceph_deploy:Traceback (most recent call last):

  File "/home/teuthworker/src/github.com_ceph_ceph_hammer/qa/tasks/ceph_deploy.py", line 210, in build_ceph_cl

uster

    raise RuntimeError("ceph-deploy: Failed to install ceph")

RuntimeError: ceph-deploy: Failed to install ceph

#5 - 07/24/2017 03:31 PM - Alfredo Deza

- Project changed from CI to Ceph

#6 - 07/24/2017 03:32 PM - Alfredo Deza

- Status changed from New to Closed

When a SHA1 hasn't been built a 504 will be returned. This is expected. Make sure that the SHA1 requested has been built before attempting to

install. Not sure there is a bug here, but feel free to re-open this if the SHA1 has been built and it is available and it can't be installed
